Subject: bug#7296: display-pixel-height not enough

From: Lennart Borgman <[email-masked]>
Date: Fri, 29 Oct 2010 15:38:27 +0200

On Fri, Oct 29, 2010 at 3:15 PM, Jan D. <[email-masked]> wrote:
> Lennart Borgman skrev 2010-10-29 14:28:
>>
>> On Fri, Oct 29, 2010 at 12:57 PM, Eli Zaretskii<[email-masked]>  wrote:
>>>>
>>>> Date: Fri, 29 Oct 2010 12:13:49 +0200
>>>> From: Jan Djärv<[email-masked]>
>>>> CC: Lennart Borgman<[email-masked]>, [email-masked]
>>>>
>>>>> What use-case could possibly want to know the dimensions that include
>>>>> unusable portion?
>>>>>
>>>> They are not unusable.  One can create a frame that covers the
>>>> taskbar/panel/whatever.
>>>
>>> On MS-Windows?  If so, what is this bug report about?  It says:
>>>
>>>  If you want to know how much height there is available to display a
>>>  frame then display-pixel-height does not give you the information you
>>>  need. The taskbar (w32 name, I have no idea what it is called on other
>>>  platform) and other "bars" may have reserved some of the vertical
>>>  space.
>>>
>>> "Reserved" means, to me, that those parts cannot be used.  What am I
>>> missing?
>>
>> Perhaps nothing. On w32 maximized windows covers the area that are not
>> reserved by the taskbar (or other bars). I think this is the area that
>> we should return (as I have said before).
>>
>> Maybe a bit of confusion comes in because the taskbar only reserves
>> this area on w32 if it is not automatically hidden.
>
> I tried on W32 (Windows 7).  Maximizing a window does not use the space
> occupied by the taskbar, but there is no problem in creating a frame that
> does.  So an unmximized window can be taller than a maximized one.

Yes, but a w32 frame can be taller than a maximized window, but if the
taskbar is always on top, then part of it will be hidden behind the
taskbar. That is why I sent this bug report.